package com.jasamedika.medifirst2000.vo;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.JoinColumn;
import javax.persistence.ManyToOne;
import javax.persistence.Table;
import javax.validation.constraints.NotNull;

import com.fasterxml.jackson.annotation.JsonBackReference;
import com.jasamedika.medifirst2000.base.BaseMaster;
import com.jasamedika.medifirst2000.base.BaseTransaction;
import com.jasamedika.medifirst2000.base.vo.BaseTransactionVO;
import com.jasamedika.medifirst2000.entities.DetailPenyakitLainnya;
import com.jasamedika.medifirst2000.helper.Caption;

/**
 *  class Agama
 * 
 * @author Generator
 */
public class DetailPenyakitObstetriLainnyaVO extends BaseTransactionVO {
	
	@ManyToOne
	@Caption(value="Obstetri")
	//@JsonBackReference
	@NotNull(message="Obstetri Harus Diisi")
	private PapObstetriVO papObsetri;

	@Column(name = "papObsetriFk", insertable=false,updatable=false,nullable=false)
	private String papObsetriId;
	
	@Column(name = "diskripsi", nullable = false, length = 100)
	@Caption(value = "diskripsi")
	private String diskripsi;
	
	@Column(name = "checked")
	private Boolean checked;
	
	@ManyToOne
	@Caption(value="Detail Penyakit Lainnya")
	private DetailPenyakitLainnyaVO detailPenyakitLainnyaVO;

	public PapObstetriVO getPapObsetri() {
		return papObsetri;
	}

	public void setPapObsetri(PapObstetriVO papObsetri) {
		this.papObsetri = papObsetri;
	}

	public String getPapObsetriId() {
		return papObsetriId;
	}

	public void setPapObsetriId(String papObsetriId) {
		this.papObsetriId = papObsetriId;
	}


	public Boolean getChecked() {
		return checked;
	}

	public void setChecked(Boolean checked) {
		this.checked = checked;
	}

	public String getDiskripsi() {
		return diskripsi;
	}

	public void setDiskripsi(String diskripsi) {
		this.diskripsi = diskripsi;
	}

	public DetailPenyakitLainnyaVO getDetailPenyakitLainnyaVO() {
		return detailPenyakitLainnyaVO;
	}

	public void setDetailPenyakitLainnyaVO(DetailPenyakitLainnyaVO detailPenyakitLainnyaVO) {
		this.detailPenyakitLainnyaVO = detailPenyakitLainnyaVO;
	}
	
	
		

}

